import { Component, OnInit, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

export interface RecallMessageDialogData {
  title: string;
  message?: string;
}

export interface RecallMessageDialogResult {
  choice: boolean;
}

@Component({
  selector: 'app-layout-messenger-recall-message',
  templateUrl: './recall-message.dialog.component.html',
  styleUrls: ['./recall-message.dialog.component.scss']
})
export class RecallMessageDialogComponent implements OnInit {
  constructor(
    public dialogRef: MatDialogRef<
      RecallMessageDialogData,
      RecallMessageDialogResult
    >,
    @Inject(MAT_DIALOG_DATA) public data: RecallMessageDialogData
  ) {}

  ngOnInit(): void {}

  onClickChoice(choice: boolean): void {
    this.dialogRef.close({
      choice
    });
  }
}
