import { Selector, createSelector } from '@ngrx/store';
import {
  InfoRequest,
  RoomInfo,
  UserInfoShort,
  UserInfo
} from '@ucap-webmessenger/protocol-room';

export interface State {
  roomInfo: RoomInfo | null;
  userInfoShortList: UserInfoShort[] | null;
  userInfoList: UserInfo[] | null;
}

export const initialState: State = {
  roomInfo: null,
  userInfoShortList: null,
  userInfoList: null
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    roomInfo: createSelector(
      selector,
      (state: State) => state.roomInfo
    ),
    userInfoShortList: createSelector(
      selector,
      (state: State) => state.userInfoShortList
    ),
    userInfoList: createSelector(
      selector,
      (state: State) => state.userInfoList
    )
  };
}
